---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.130.0.2
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: csi-snapshot-controller-operator-76dfcb9b88-lt78x
      namespace: openshift-cluster-storage-operator
      resourceVersion: "15475"
      uid: 9a8f785f-2215-4b5e-87f7-061dd34677d9
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:42:41Z"
    creationTimestamp: "2022-03-08T10:13:59Z"
    generateName: csi-snapshot-controller-operator-metrics-
    generation: 4
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: csi-snapshot-controller-operator-metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"efbcfe88-4eec-4c90-8afd-cef9d22e9850"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:38:44Z"
    name: csi-snapshot-controller-operator-metrics-wzwgq
    namespace: openshift-cluster-storage-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: csi-snapshot-controller-operator-metrics
      uid: efbcfe88-4eec-4c90-8afd-cef9d22e9850
    resourceVersion: "15476"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-cluster-storage-operator/endpointslices/csi-snapshot-controller-operator-metrics-wzwgq
    uid: 818596de-cc21-4b63-b31a-22122d111d8d
  ports:
  - name: https
    port: 8443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "82664"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-cluster-storage-operator/endpointslices
